## ros-noetic-pr2-teleop-general 0.6.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_teleop_general)

find_package(catkin REQUIRED COMPONENTS roscpp actionlib actionlib_msgs geometry_msgs sensor_msgs pr2_msgs pr2_controllers_msgs pr2_controller_manager pr2_mechanism_msgs angles urdf ps3joy pr2_common_action_msgs polled_camera moveit_msgs tf)

include_directories(include ${catkin_INCLUDE_DIRS})

catkin_package(
    CATKIN_DEPENDS roscpp actionlib actionlib_msgs geometry_msgs sensor_msgs pr2_msgs pr2_controllers_msgs pr2_controller_manager pr2_mechanism_msgs angles urdf ps3joy pr2_common_action_msgs polled_camera moveit_msgs tf 
    INCLUDE_DIRS include
    LIBRARIES pr2_teleop_general_commander
)

find_package(PkgConfig)
pkg_check_modules(URDFDOM REQUIRED urdfdom)
message(STATUS "Find URDFDOM ${URDFDOM_VERSION}")
if ("${URDFDOM_VERSION}" VERSION_EQUAL "1.0.0" OR "${URDFDOM_VERSION}" VERSION_GREATER "1.0.0")
  add_definitions(-DURDFDOM_1_0_0_API)
endif()

add_executable(pr2_teleop_general_joystick src/pr2_teleop_general_joystick.cpp)
target_link_libraries(pr2_teleop_general_joystick  ${catkin_LIBRARIES} pr2_teleop_general_commander)

add_executable(pr2_teleop_general_keyboard src/pr2_teleop_general_keyboard.cpp)
target_link_libraries(pr2_teleop_general_keyboard  ${catkin_LIBRARIES} pr2_teleop_general_commander)


add_library(pr2_teleop_general_commander src/pr2_teleop_general_commander.cpp)
add_dependencies(pr2_teleop_general_commander ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})


target_link_libraries(pr2_teleop_general_commander  ${catkin_LIBRARIES})
add_dependencies(pr2_teleop_general_commander ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

install(TARGETS pr2_teleop_general_joystick pr2_teleop_general_keyboard pr2_teleop_general_commander
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  
)

install(TARGETS pr2_teleop_general_commander
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY include
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# test
if(CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  find_package(rostest REQUIRED)
  file(GLOB LAUNCH_FILES launch/*.launch)
  foreach(LAUNCH_FILE ${LAUNCH_FILES})
    message(STATUS "Testing ${LAUNCH_FILE}")
    roslaunch_add_file_check(${LAUNCH_FILE})
  endforeach()
endif()

=== debian/changelog ===
ros-noetic-pr2-teleop-general (0.6.2-1focal) focal; urgency=high

  * Merge pull request #40 <https://github.com/pr2/pr2_apps/issues/40> from k-okada/add_roslaunch_add_file_check
    add test for roslaunch_add_file_check
  * add test for roslaunch_add_file_check
  * Contributors: Kei Okada, Michael Görner

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 20 May 2021 15:00:00 -0000

ros-noetic-pr2-teleop-general (0.6.1-1focal) focal; urgency=high

  * Merge pull request #36 <https://github.com/pr2/pr2_apps/issues/36> from k-okada/add_travis
    update travis.yml
  * fix urdf::JointConstSharedPtr for melodic
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 25 Sep 2018 15:00:00 -0000

ros-noetic-pr2-teleop-general (0.6.0-1focal) focal; urgency=high

  * Merge pull request #35 <https://github.com/pr2/pr2_apps/issues/35> from k-okada/remove_GetKinematicSolverInfo
    remove GetKinematicSolverInfo
  * remove GetKinematicSolverInfo
    GetKinematicSolverInfo.srv has been removed from moveit_msgs by https://github.com/ros-planning/moveit_msgs/issues/3,
    since I'm not sure what is the best way to re-write code without this service, but to write the list of joint names directory
  * Merge pull request #34 <https://github.com/pr2/pr2_apps/issues/34> from PR2/k-okada-patch-1
    remove bullet depend from package.xml
  * remove bullet depend from package.xml
    emove depend to bullet, it already removed from code long time ago https://github.com/PR2/pr2_apps/pull/8/commits/64b60278bc02e83b1826f6f122b573e298476285
  * Merge pull request #32 <https://github.com/pr2/pr2_apps/issues/32> from k-okada/fix_cmake_teleop
    fix cmake of pr2_teleop_general
  * fix cmake of pr2_teleop_general
    - remove depend to bullet, it already removed from code long time ago https://github.com/PR2/pr2_apps/pull/8/commits/64b60278bc02e83b1826f6f122b573e298476285
    - use  ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS}, instead of *msgs_gencpp
  * Merge pull request #31 <https://github.com/pr2/pr2_apps/issues/31> from k-okada/19
    add pr2_mannequin_mode as run_depend for pr2_teleop_general.
  * add pr2_mannequin_mode as run_depend for pr2_teleop_general.
  * Merge pull request #29 <https://github.com/pr2/pr2_apps/issues/29> from k-okada/kinetic-devel
    Kinetic devel
  * Merge pull request #30 <https://github.com/pr2/pr2_apps/issues/30> from k-okada/orph
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * Merge branch 'hydro-devel' into kinetic-devel
  * Contributors: Christian Dornhege, Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 15:00:00 -0000

ros-noetic-pr2-teleop-general (0.5.20-1focal) focal; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 04 May 2015 15:00:00 -0000

ros-noetic-pr2-teleop-general (0.5.19-1focal) focal; urgency=high

  * added changelogs
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 28 Apr 2015 15:00:00 -0000

ros-noetic-pr2-teleop-general (0.5.18-1focal) focal; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 09 Feb 2015 15:00:00 -0000

ros-noetic-pr2-teleop-general (0.5.16-1focal) focal; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 05 Feb 2015 15:00:00 -0000

ros-noetic-pr2-teleop-general (0.5.15-1focal) focal; urgency=high

  * Bugfix for pr2_teleop_general. Added destinations for targets
  * Added target locations to pr2_teleop libs and execs
  * Added installs for pr2_teleop_general and pr2_teleop
  * Contributors: dash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 27 Jan 2015 15:00:00 -0000

ros-noetic-pr2-teleop-general (0.5.14-1focal) focal; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 19 Nov 2014 15:00:00 -0000

ros-noetic-pr2-teleop-general (0.5.13-1focal) focal; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 17 Nov 2014 15:00:00 -0000

ros-noetic-pr2-teleop-general (0.5.12-1focal) focal; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 16 Nov 2014 15:00:00 -0000

ros-noetic-pr2-teleop-general (0.5.11-1focal) focal; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 19 Oct 2014 15:00:00 -0000

ros-noetic-pr2-teleop-general (0.5.10-1focal) focal; urgency=high

  * Changelogs
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 16 Oct 2014 15:00:00 -0000

ros-noetic-pr2-teleop-general (0.5.9-1focal) focal; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 30 Sep 2014 15:00:00 -0000

ros-noetic-pr2-teleop-general (0.5.8-1focal) focal; urgency=high

  * Updated maintainership
  * Fixing the tf/LinearMath/Quaternion.h not found bug
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 29 Sep 2014 15:00:00 -0000

ros-noetic-pr2-teleop-general (0.5.7-1focal) focal; urgency=high

  * Fixed teleop commander lib gen
  * Changelog
  * Things
  * Contributors: TheDash
  * Things
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Sep 2014 15:00:00 -0000

ros-noetic-pr2-teleop-general (0.5.6-1focal) focal; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 06 Sep 2014 15:00:00 -0000

ros-noetic-pr2-teleop-general (0.5.5-1focal) focal; urgency=high





=== debian/control ===
Source: ros-noetic-pr2-teleop-general
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-angles, ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-moveit-msgs, ros-noetic-polled-camera, ros-noetic-pr2-common-action-msgs, ros-noetic-pr2-controller-manager, ros-noetic-pr2-controllers-msgs, ros-noetic-pr2-mechanism-msgs, ros-noetic-pr2-msgs, ros-noetic-ps3joy, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-rostest, ros-noetic-sensor-msgs, ros-noetic-tf, ros-noetic-urdf
Homepage: http://ros.org/wiki/pr2_teleop_general
Standards-Version: 3.9.2

Package: ros-noetic-pr2-teleop-general
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-angles, ros-noetic-geometry-msgs, ros-noetic-moveit-msgs, ros-noetic-polled-camera, ros-noetic-pr2-arm-kinematics, ros-noetic-pr2-common-action-msgs, ros-noetic-pr2-controller-manager, ros-noetic-pr2-controllers-msgs, ros-noetic-pr2-mannequin-mode, ros-noetic-pr2-mechanism-msgs, ros-noetic-pr2-msgs, ros-noetic-pr2-tuck-arms-action, ros-noetic-ps3joy, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-tf, ros-noetic-urdf
Description: pr2_teleop_general
